Send unnecessary error message to /dev/null

This commit is contained in:
Sheng Yang 2017-04-14 14:55:00 -07:00
parent 93da17f8e8
commit cee66e1f11
2 changed files with 3 additions and 2 deletions

View File

@ -3,7 +3,8 @@
cleanup(){ cleanup(){
name=$1 name=$1
set +e set +e
docker rm -vf ${name} echo clean up ${name} if exists
docker rm -vf ${name} > /dev/null 2>&1
set -e set -e
} }

View File

@ -49,7 +49,7 @@ if [ "$port" != "" ]; then
fi fi
set +e set +e
iscsiadm_check=`iscsiadm --version 2>&1` iscsiadm_check=`iscsiadm --version > /dev/null 2>&1`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo Cannot find \`iscsiadm\` on the host, please install \`open-iscsi\` package echo Cannot find \`iscsiadm\` on the host, please install \`open-iscsi\` package
exit 1 exit 1